/* :::::::::::::::::::::::::::::::::::::::: */
/* TABLE OF CONTENTS/* 
::::::::::::::::::::::::::::::::::::::::::: */
/* 00 - Import all Styles                          */
/* 01 - Basic & General Styles                          */
/* 02 - Header Styles                                   */
/* 03 - Main menu Styles                                */
/* 05 - Hero section Styles                             */
/* 06 - Client logo carousal Styles                     */
/* 07 - Video & skills section Styles                   */
/* 08 - Services Styles                                 */
/* 09 - portfolio Styles                                */
/* 10 - Call-to-section Styles                          */
/* 11 - Testimonials Styles                             */
/* 12 - Get in touch Styles                             */
/* 13 - Footer Styles                                   */
/* 14 - Blog single page Styles                         */

/* ========================================================================== 
00. Import all Styles 
========================================================================== */
@import url('animate.css');
@import url('bootstrap.min.css');
@import url('fontawesome-all.min.css');
@import url('meanmenu.css');
@import url('headline-typed.css');
@import url('normalize.css');
@import url('general.css');

/* ========================================================================== 
01. Basic & General Styles 
========================================================================== */
body{
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
    line-height: 1.5;
    color: #8a8a8a;
}
.section-title{
    text-transform: capitalize; 
    font-weight: 700; 
    margin-bottom: 15px; 
    color: #2C3E50; 
    z-index: 2; 
    position: relative;
    font-size: 32px; 
    letter-spacing: 1px;
    line-height: 1;
    font-family: 'Rubik', sans-serif;
}
.section-title span {
    color: #6444ed;
}
.btn-tp{
	border: 2px solid #6444ed; 
	color: #6444ed; 
	font-size: 18px; 
	padding: 10px 30px !important; 
	-webkit-border-radius: 50px;
	-moz-border-radius: 50px;
	border-radius: 50px; 
	position: relative; 
	overflow: hidden; 
	text-transform: uppercase;
}
.btn-tp::after{
	background: #6444ed; 
	position: absolute; 
	top: 0; 
	left: 0; 
    width: 0px; 
    height: 100%; content: ""; 
    transition: 0.4s;
    -webkit-transition: 0.4s;
    -ms-transition: 0.4s;
}
.btn-tp:hover::after{
	background: #6444ed; 
	position: absolute; 
	top: 0; 
	right: 0; 
    width: 100%; 
    height: 100%; 
    z-index: -1; 
    content: ""; 
}
.btn-tp:hover{
	color: #fff;
}
.first-btn{
	margin-right: 30px;
}
 .scroll-top {
    background-color : #2e3641;
    display : none;
    font-size : 28px;
    line-height : 50px;
    color : #fff;
    position : fixed;
    right : 15px;
    bottom : 50px;
    width : 50px;
    height : 50px;
    z-index : 9999;
    text-align : center;
    cursor : pointer;
    -webkit-transition : all .35s linear;
    -o-transition : all .35s linear;
    -moz-transition : all .35s linear;
    transition : all .35s linear;
}
 .scroll-top:hover {
    background-color : #6444ed;
}
.preloader{ position:fixed; 
    left:0px; 
    top:0px; 
    width:100%; 
    height:100%;  
    background-color:#ffffff; 
    background-position:center center; 
    background-repeat:no-repeat; 
    background-image:url(../images/icons/loader.svg);
    z-index:999999999999;
}
.p-90{
	padding: 90px;
}
.pt-30{
	padding-top: 30px;
}
.no-padding{
	padding: 0;
}
.pt-pb-90{
	padding: 90px 0;
}
.pa-90{
	padding: 90px;
}
.valign{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.full-container{
    max-width: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
}
.color-text{
    color: #000;
}
button:focus {
    outline: 0px dotted !important;
    outline: 0px auto -webkit-focus-ring-color !important;
}
/* ========================================================================== 
02. Header Styles 
========================================================================== */
.main-header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9;
    width: 100%;
    padding: 10px 0;
    -webkit-transition : all 0.3s;
    -moz-transition : all 0.3s;
    transition : all 0.3s;
}
.main-header.fixed-header{
    padding: 5px 0;
}
/*Fixed header*/
.fixed-header {
    position : fixed !important;
    top : 0;
    z-index : 9999999;
    background-color : #fff;
    width : 100%;
}
.fixed-header.header-menu-logo {
    background : rgba(255,255,255,1);
    border-bottom : 1px solid #dfdfdf;
}
.fixed-header.header-menu-logo .mainmenu > ul > li > a {
    color : #2e3641;
}
.fixed-header.header-menu-logo .mainmenu > ul > li > a:hover {
    color : #6444ed;
}
a.active::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 2px;
    background: #6444ed;
    height: 2px;
    z-index: 2;
    width: 100%;
}
.fixed-header a.active::after {
    background: #6444ed;
}
.fixed-header .logo-block a {
    color: #000;
}
.logo-block a{
	color: #fff; 
	font-size: 24px; 
	text-transform: uppercase; 
	letter-spacing: 2px;
}
/* ========================================================================== 
03. Main menu Styles 
========================================================================== */
 .mainmenu ul {
    margin : 0;
    padding : 0;
    list-style : none;
}
 .mainmenu ul li {
    display : inline-block;
    position : relative;
}
 .mainmenu ul li a {
    color : #fff;
    font-weight : 400;
    font-size : 12px;
    padding : 27px 15px;
    display : block;
    text-transform : uppercase;
    letter-spacing: 1px;
}
 .mainmenu ul li a.active, .mainmenu ul li a:hover {
    color : #6444ed;
    text-decoration : none;
}
 .mainmenu ul li.active > a:before {
    content : "";
    position : absolute;
    bottom : 0;
    left : 0;
    height : 3px;
    background-color : #6444ed;
    width : 100%;
}
/* -------Dropdown Menu area css------*/
 .mainmenu ul li .sub-menu {
    opacity : 0;
    visibility : hidden;
    position : absolute;
    left : 0;
    top : 150%;
    width : 200px;
    text-align : left;
    z-index : 9999;
    background-color : #2e3641;
    -webkit-box-shadow : 0px 13px 25px -12px rgba(0,0,0,0.25);
    box-shadow : 0px 13px 25px -12px rgba(0,0,0,0.25);
    -webkit-transition : all 0.4s ease;
    transition : all 0.4s ease;
}
 .mainmenu > ul > li:hover .sub-menu {
    opacity : 1;
    visibility : visible;
    top : 100%;
    transition : top 0.3s ease 0s;
    -webkit-transition : top 0.4s ease;
    transition : top 0.4s ease;
}
 .mainmenu ul li ul.sub-menu li {
    display : block;
    border-bottom : 1px solid #bcbcbc;
}
 .mainmenu ul li ul.sub-menu li:last-child {
    border-bottom : 0px solid #bcbcbc;
}
 .mainmenu ul li ul.sub-menu li :last-child {
    border-bottom : none;
}
 .mainmenu ul li ul.sub-menu li a {
    color : #fff;
    padding : 10px 15px;
}
 .sub-menu li > a:hover {
    background-color : #242c36;
    padding-left : 30px !important;
    -webkit-transition : all 300ms ease;
    -moz-transition : all 300ms ease;
    -ms-transition : all 300ms ease;
    -o-transition : all 300ms ease;
    transition : all 300ms ease;
    color : #6444ed !important;
}
.mainmenu a:hover{
    color: #fff !important;
}
/* -------Mobile Menu area css------*/
 .mobile-menu-area {
    position : relative;
    display : none;
}
 .mean-container .mean-bar {
    position : absolute;
    background : transparent;
    top: -20px;
    right: 15px;
}
 .mean-container a.meanmenu-reveal {
    position : absolute;
    color : #6444ed; 
}
 .mean-container a.meanmenu-reveal span {
    display : block;
    background : #6444ed;
    height : 3px;
    margin-top : 3px;
}
 .mean-container .mean-nav {
    margin-top : 55px;
}
/* ========================================================================== 
04. Hero section Styles 
========================================================================== */
#particles-load {
    position : absolute;
    top : 0;
    left : 0;
    width : 100%;
    height : 100%;
    z-index : 1;
}
.intro-section {
    /*height : 100vh;*/
    position: relative;
    overflow: hidden;
    background-image: url(../images/intro-bg.jpg);
    background-repeat : no-repeat;
    background-size : cover;
    background-position : center center;
    z-index: 2;
    color: #fff;
}
.intro-section::before {
    background: rgba(0,0,0, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
    z-index: -1;
}

.intro-content{
    display: table-cell;
    vertical-align: middle;
}
.hero-block {
    width: 100%;
    min-height: 600px;
    height: 600px;
    display: table;
}
.hero-hello {
    font-size: 24px;
    letter-spacing: 5px;
    font-weight: 300;
}
.intro-title{
    font-size: 70px; 
    font-weight: 300; 
    letter-spacing: 1px;
    line-height: 1.1;
    margin: 15px 0;
}
.intro-title span{
    color: #6444ed;
    font-weight: 700; 
}
.sub-intro{
    font-size: 28px; 
    font-weight: 300; 
    color: #DADFE1; 
    letter-spacing: 2px;
    line-height: 1.2;
}
.typed-cursor{
	font-weight: 100;
}
.cd-headline.type i{
    font-style: normal;
}
.scrolling-icon {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 30px;
    height: 52px;
    width: 36px;
    margin: auto;
    z-index: 2;
    border-radius: 15px;
    border: 2px solid #fff;
    background: transparent;
}
a, .m-btn {
    -webkit-transition-timing-function: ease-in-out;
    -moz-transition-timing-function: ease-in-out;
    -ms-transition-timing-function: ease-in-out;
    -o-transition-timing-function: ease-in-out;
    transition-timing-function: ease-in-out;
    -webkit-transition-duration: .2s;
    -moz-transition-duration: .2s;
    -ms-transition-duration: .2s;
    -o-transition-duration: .2s;
    transition-duration: .2s;
}
.scrolling-icon .go-down {
    display: block;
    position: relative;
    border-radius: 10px;
    background: #fff;
    width: 3px;
    height: 12px;
    top: 5px;
    margin-left: auto;
    margin-right: auto;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-play-state: running;
    animation-play-state: running;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-name: godown;
    animation-name: godown;
}
@-webkit-keyframes godown {
    0%   { top:5px; opacity: 0; }
    30%  { top:15px; opacity: 1; }
    60%  { top:15px; opacity: 0.60; }
    100% { top:25px; opacity: 0; }
}

@keyframes godown {
    0%   { top:5px; opacity: 0; }
    30%  { top:15px; opacity: 1; }
    100% { top:25px; opacity: 0; }
}

/* ========================================================================== 
06. Services section Styles 
========================================================================== */
.service-section{
	padding: 0px 0; 
	background-color: #ECECEC;
}
.service-box{
	padding: 15px; 
	text-align: center;
}
.service-title{
	font-size: 22px; 
	text-transform: uppercase; 
	font-weight: 700; 
	color: #2C3E50;
}
.icon-box img {
    text-align: center;
    display: table;
    margin-left: auto;
    margin-right: auto;
}
.icon-box{
	margin-bottom: 15px;
}
.services-section{
	background: #fafafa; 
	padding: 90px 0px;
}
.services-block {
	padding: 15px;
	margin-bottom: 30px;
	-webkit-box-shadow: 0px 15px 114px -26px rgba(85,98,164,0.29);
	-moz-box-shadow: 0px 15px 114px -26px rgba(85,98,164,0.29);
	box-shadow: 0px 15px 114px -26px rgba(85,98,164,0.29);
	-webkit-transition : all 0.3s;
	-moz-transition : all 0.3s;
	transition : all 0.3s;
	position: relative;
    background: #fff;
}
.services-block.last-block{
    margin-bottom: 0px;
}
.services-block:hover{
    background: #fff;
}
.services-block:hover .service-title{
    color: #000;
}
.services-block:hover .fade-number {
    color: #fbfbfb;
}
.ser-icon{
    position: relative;
    margin-bottom: 10px;
}
.service-icon{
    color: #6444ed;
    font-size: 50px;
    display: inline;
    line-height: 1;
}
.service-title{
    position: relative;
    margin-bottom: 30px;
}
.service-title::before{
    position: absolute;
    bottom: -20px;
    left: 0;
    width: 50%;
    content: "";
    padding: 5px 0;
    border-top: 1px solid #6444ed;
    border-bottom: 1px solid #6444ed;
}
.service-title::after{
    position: absolute;
    bottom: -14px;
    left: 0;
    width: 40%;
    content: "";
    height: 1px;
    background: #6444ed;
    -webkit-transition : all 0.3s;
    -moz-transition : all 0.3s;
    transition : all 0.3s;
}
.services-block:hover .service-title::after{
    position: absolute;
    bottom: -14px;
    left: 0;
    width: 60%;
    content: "";
    height: 1px;
    background: #6444ed;
}
.fade-number {
    color: #e8e8e8;
    position: absolute;
    z-index: 0;
    font-size: 130px;
    width: 100%;
    height: 100%;
    text-align: right;
    padding-right: 30px;
    line-height: 1;
}
.ser-details{
    position: relative;
    z-index: 2;
}
/* ========================================================================== 
07. Fun facts section Styles 
========================================================================== */
.fun-facts{
	padding: 90px 0;
	background-image: url(../images/fun-fact-bg.jpeg);
	position: relative;
	overflow: hidden;
	background-repeat: no-repeat;
}
.fun-facts::before{
    background: rgba(0,0,0, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
    z-index: 0;
}
.fun-block{
  z-index: 2;  
}
.fun-title {
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 0;
    color: #fff;
    text-transform: capitalize;
}
.counter{font-size: 52px; font-weight: 900; color: #d0d0d0;}
.fun-icon{
    color: #6444ed;
    font-size: 42px;
}
/* ========================================================================== 
08. Portfolio section Styles 
========================================================================== */
/*sorting lists*/
 .button-group {
    margin-bottom : 38px;
}
 .sorting-lists {
    list-style : none;
    padding-left : 0;
    display : table;
    margin-left : auto;
    margin-right : auto;
    margin-bottom: 30px;
}
 .sorting-lists li {
    display : inline-block;
    margin : 0px 20px;
    position : relative;
    color : #2e3641;
    text-transform : uppercase;
    font-weight : 600;
    cursor: pointer;
}
 .sorting-lists li:hover, .sorting-lists li.active {
    color : #6444ed;
    text-decoration : none;
}
 .sorting-lists li.active:before {
    content : "";
    height : 1px;
    left : -5px;
    position : absolute;
    right : 12px;
    top : 12px;
    background-color : #2e3641;
    -webkit-transform : scaleX(0);
    transform : scaleX(0);
    -webkit-transition : all 0.6s ease 0s;
    transition : all 0.6s ease 0s;
    -webkit-transform : scaleX(1);
    transform : scaleX(1);
}
 .sorting-item {
    margin-bottom : 30px;
}
/* ---- grid ---- */
.grid:after {
	content: '';
	display: block;
	clear: both;
}
.portfolio-gallery{
    margin-top: 15px;
}
/* ---- .element-item ---- */
.grid-item{
	width: 100%;
	position: relative;
	overflow: hidden;
}
.grid-item {
	float: left;
}
.grid-item img{
	max-width: 100%;
}
.gallery-inner{
    position: relative;
    overflow: hidden;
    margin-bottom: 30px;
}
.overlay-content{
    position: absolute;
    top:0;
    left: -100px; 
    width: 0px;
    height: 100%;
    opacity: 0;
    transition: all 500ms ease;
    -webkit-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    background-color: rgba(0,0,0, 0.8);
}
.grid-item:hover .overlay-content{
    color: #fff;
    opacity: 1;
    z-index: 1;
    height: 100%;
    left: 0;
    width: 100%;

}
.overlay-inner{
    height: 100%;
    width: 100%;
}
.gallery-inner img{
    -webkit-transition: opacity .35s,-webkit-transform .35s;
    transition: opacity .35s,transform .35s;
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
}
.grid-item:hover img {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}
.overlay-icon {
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 30px;
    text-align: center;
    margin-top: 10px;
}
.overlay-title {
    text-align: center;
    opacity: 0;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    -webkit-transform: scale(1.5);
    transform: scale(1.5);
}
.grid-item:hover .overlay-title{
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
.portfolio-title{
    margin-bottom: 0px; 
    font-weight: 500; 
    font-size: 22px; 
    letter-spacing: 1px;
}
.overlay-icon a {
    color: #fff;
    font-size: 22px;
    border: 0px solid #fff;
    padding: 5px;
    line-height: 1;
    display: block;
    background: transparent;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
}
.overlay-icon a:hover{
    background: #6444ed;
}
.portfolio-section{
    padding: 90px 0 60px; 
    background-color: #fff;
}

/* ========================================================================== 
09. Contact me section Styles 
========================================================================== */
.contact-me{
    background-image: url(../images/contact-me-bg.jpeg);
    padding: 100px 0;
    position: relative;
    background-attachment: fixed;
}
.contact-me::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(1,50,67,0.9);
}
.contact-me h3{
    margin-bottom: 0;
    color: #fff;
    letter-spacing: 2px;
    font-weight: 700;
    font-size: 18px;
}

/* ========================================================================== 
14. Site Footer section Styles 
========================================================================== */
.site-footer{
    background: #000;
    padding: 50px 0;
    color: #DADFE1;
}
.site-footer p{
	margin-bottom: 0;
}
.footer-social{
    list-style: none; 
    padding-left: 0; 
    display: table; 
    margin-left: auto; 
    margin-right: auto; 
    margin-top: 20px;
    margin-bottom: 0;
}
.footer-social li{
    display: inline-block; 
    margin: 0px 5px; 
    text-align: center; 
    vertical-align: middle; 
    overflow: hidden;
}
.footer-social li a {
    display: block;
    color: #DADFE1;
    border: 1px solid #DADFE1;
    width: 30px;
    height: 30px;
    text-align: center;
    vertical-align: middle;
    line-height: 30px;
}
.fb-icon:hover{
	background: #3b5999;
}
.gplus-icon:hover{
	background: #dd4b39;
}
.twitter-icon:hover{
	background: #55acee;
}
.pin-icon:hover{
	background: #bd081c;
}
.skype-icon:hover{
	background: #00AFF0;
}
.in-icon:hover{
	background: #0077B5;
}